Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Get templates by dashboard

Prev Next
Get
/view/dashboards/{dashboardId}/templates

Returns the list of templates of a specific dashboard.
A dashboard template defines the layout and the widgets of a dashboard page; only one template of a dashboard can be flagged as main, and it is the one presented by default.
Set includeInherited to true to obtain also the templates inherited from the parent thing-definitions.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Path parameters
dashboardId
stringRequired

The dashboard identifier.

Minimum1.0
Exampleabcd1234
Query parameters
includeInherited
boolean

If true, the response includes the elements inherited from parent thing definitions.

Responses
200

Successful operation.

Array of object
object

The bean providing dashboard template details.

id
string

The dashboard template unique identifier.

name
string

The dashboard template friendly name.

ExampleOverview
dashboard
object

The identifier of the parent dashboard.

id
string
Example1234abcd
main
boolean

The flag indicating the main template of the dashboard. Only one template can be the main template of the dashboard.

401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error